I updated my Mac Os now i have some issues openig Photoshop

Hello Mac experts,

I updated my iOS operating system Thurs night.  When I tried to open Photoshop on Fri I got a popup box that said “To open ‘Adobe Photoshop CS3’ you need to install the legacy Jaa SE6 runtime.”  So, I downloaded Java and proceeded to go through the download process.  It appeared to be successfully installed but I still cannot open Photoshop and I continue to get the same message about needing to install Java.  Maybe there’s some step required to activate Java and I just haven’t found it?

Any advices please ?
ItaliabellaAsked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

Justin BradshawOwnerCommented:
Unfortunately you're lucky if you can get CS3 to work under El Capitan. It's certainly not supported and doesn't always work after the upgrade, in my experience... even with Java installed.
0
ItaliabellaAuthor Commented:
OMG!! Justin what the apple expert says about it ? any work around ? what should I do? downgrade ?
Will they probably release a service pack which will fix this soon ? Anybody ?

Thank you..
0
FedCommented:
not a huge deal, i had the same problem. Java is the key. You need to remove any reference of java installation on your mac then install the legacy version after that CS3 works

Remove Java
http://machow2.com/how-to-uninstall-java-from-el-capitan/

install Java
https://support.apple.com/kb/DL1572?viewlocale=en_US&locale=en_US

Enjoy old software!
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
Cloud Class® Course: Certified Penetration Testing

This CPTE Certified Penetration Testing Engineer course covers everything you need to know about becoming a Certified Penetration Testing Engineer. Career Path: Professional roles include Ethical Hackers, Security Consultants, System Administrators, and Chief Security Officers.

ItaliabellaAuthor Commented:
Fed thank you so much for these instructions on how to remove any references and on how to install Java. I will try on Monday thank you again
0
ItaliabellaAuthor Commented:
Guys she upgraded to Yosemite 10.11.1. is this error still possible or it should happen only when you upgrade to el Captain ?
0
FedCommented:
I think this stated on Mavericks, it happened to me every time i upgraded. CS3 requires legacy JAVA which is no longer provided in the OS.
0
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Adobe Creative Suite CS

From novice to tech pro — start learning today.

Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.